.spcr-menu {
    list-style: none;
    display: flex;
    margin: 0;
    padding: 0;
}

.spcr-align-right {
    justify-content: flex-end;
}

.spcr-menu-item {
    position: relative;
}

.spcr-menu-item > a {
    text-decoration: none;
    font-weight: {$font_weight};
    font-size:14px;
    display: inline-block;
}

/* actif */
.spcr-menu-item.current > a {
    text-decoration:none;
}

/* sous-menu */
.spcr-submenu {
    display: none;
    position: absolute;
    top: 100%;
    right: 0;
    width: 240px;
    padding:20px;
    list-style: none;
    z-index: 99999;
}

.spcr-submenu a {
    padding: .5rem 1rem;
    display: block;
}

/* hover dropdown */
.spcr-menu-item.has-children:hover > .spcr-submenu {
    display: block;
}

.spcr-menu-item.has-children > a {
    position: relative;
    padding-right: 1.25rem;
}

.spcr-menu-item.has-children > a::after {
    content: '';
    position: absolute;
    right: 6px;
    top: 50%;
    width: 6px;
    height: 6px;
    border-right: 1px solid currentColor;
    border-bottom: 1px solid currentColor;
    transform: translateY(-50%) rotate(45deg);
    transition: transform .2s ease;
}

.spcr-menu-item.has-children:hover > a::after {
    transform: translateY(-50%) rotate(-135deg);
}

.spcr-burger {
    display: none;
}

.spcr-nav {
    display: block;
}

@media (max-width: 768px) {

    /* Burger */
    .spcr-burger {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        width: 50px;   /* largeur plus grande */
        height: 32px;  /* hauteur plus grande */
        background: none;
        border: none;
        cursor: pointer;
        position: static;
        top: 16px;
        right: 16px;
        z-index: 1001;
    }

    .spcr-burger span {
        height: 5px;         /* barres plus épaisses */
        background: #fff;
        border-radius: 3px;   /* coins arrondis légèrement plus grands */
        display: block;
    }

    /* Menu caché par défaut */
    .spcr-nav {
        position: fixed;
        top: 0;
        right: -100%;
        width: 80%;
        height: 100%;
        background: #0c2d52; /* adapte */
        transition: right 0.3s ease;
        z-index: 1000;
        padding-top: 80px;
    }

    /* Menu ouvert */
    .spcr-nav.is-open {
        right: 0;
    }

    /* Menu vertical */
    .spcr-menu {
        flex-direction: column;
        gap: 16px;
        padding: 0 24px;
    }

    .spcr-menu-item a {
        font-size: 33px;
        color: #fff;
    }

    /* Sous-menus */
    .spcr-submenu {
        position: static;
        background: none;
        padding-left: 16px;
        display: block;
    }
}